VM getting provisioned with the wrong storage.
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1607408

Description of problem:

When creating the VM on VMware, if we create two storage and select two different data clusters in them. Then VM is created only
on the first cluster of first storage.

If we directly select the datastore from two different data clusters then VM gets create successfully.

How reproducible:
Create a new host.

Steps to Reproduce:

1. Deploy on VMware (compute resource)

2. Go to Virtual Machine tab and add two storage.

3. In first storage, Select any Data cluster.

4. In second storage, Select Data cluster different from the first.

5. Create the VM.

6. Go to vSphere client, see the storage configuration of created VM. Also, can be cross-checked by clicking on edit VM on satellite.

Actual results:
VM is created only on one data cluster.

Expected results:
VM should have two storage from two different data clusters.

Additional info:

This is caused because API call (JSON packet) is created wrongly, Only data cluster( "storage_pod") must be sent in the API call but
data store is also forwarded with the packet. Below is the related upstream bug.

https://projects.theforeman.org/issues/19311

Also, related to - https://bugzilla.redhat.com/show_bug.cqgi?id=1489516

Related issues:
Has duplicate Foreman - Bug #19311: Data store is selected when datastore clu... Closed 04/19/2017

Associated revisions

Revision ad1a01da - 02/12/2019 03:15 PM - Ondrej Ezr

Fixes #25013 - vmware - disable other storage type correctly

History

#1 - 01/21/2019 10:09 AM - Marek Hulan
https://bugzilla.redhat.com/show_bug.cgi?id=1607408
https://projects.theforeman.org/issues/19311
https://bugzilla.redhat.com/show_bug.cgi?id=1489516

- Subject changed from VM getting provisioned with the wrong storage.
to VM getting provisioned with the wrong storage.

- Assignee changed from Chris Roberts to Ondrej Ezr

#2 - 02/01/2019 10:07 AM - Ondfej Ezr

- Related to Bug #19311: Data store is selected when datastore cluster is set in compute profile when creating new host added

#3 - 02/01/2019 10:08 AM - Ondfej Ezr

- Related to deleted (Bug #19311: Data store is selected when datastore cluster is set in compute profile when creating new host)

#4 - 02/01/2019 10:08 AM - Ondfej Ezr

- Has duplicate Bug #19311: Data store is selected when datastore cluster is set in compute profile when creating new host added

#5 - 02/01/2019 10:16 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/6454 added

#6 - 02/12/2019 03:16 PM - Timo Goebel
- Fixed in Releases 1.22.0 added

#7 - 02/12/2019 05:01 PM - Ondrej Ezr
- Status changed from Ready For Testing to Closed

Applied in changeset ad1a01dac45784dfdf143f011179a67666f0c337.
